import __isLeapYearPlugin from 'dayjs/plugin/isLeapYear';
import __isSameOrAfterPlugin from 'dayjs/plugin/isSameOrAfter';
import __isSameOrBeforePlugin from 'dayjs/plugin/isSameOrBefore';
import __minMaxPlugin from 'dayjs/plugin/minMax';
import __relativeTimePlugin from 'dayjs/plugin/relativeTime';
import __toArrayPlugin from 'dayjs/plugin/toArray';
import __toObjectPlugin from 'dayjs/plugin/toObject';
import { ConfigType } from 'dayjs';
import dayjs from 'dayjs';
export { __isLeapYearPlugin }
export { __isSameOrAfterPlugin }
export { __isSameOrBeforePlugin }
export { __minMaxPlugin }
export { __relativeTimePlugin }
export { __toArrayPlugin }
export { __toObjectPlugin }
export { dayjs }

/**
 * 格式化日期。
 *
 * @param date 日期
 * @param template 模板字符串([可用的格式化字符](https://github.com/iamkun/dayjs/blob/dev/docs/en/API-reference.md#list-of-all-available-formats))
 * @returns 返回格式化后的日期字符串
 * @example
 * ```ts
 * formatDate('2019-9-1', 'YYYY年M月D日') // => 2019年9月1日
 * ```
 */
export declare function formatDate(date: ConfigType, template: string): string;

/**
 * 数字星期转中文星期。`0` 和 `7` 都视为星期日。
 *
 * @param day 数字的星期几
 * @returns 返回中文的星期几
 * @example
 * ```ts
 * numeralDayToChineseDay(0) // => 日
 * numeralDayToChineseDay(1) // => 一
 * numeralDayToChineseDay(5) // => 五
 * numeralDayToChineseDay(7) // => 日
 * ```
 */
export declare function numeralDayToChineseDay(day: number): string;

/**
 * 转换输入的日期为 `Dayjs` 实例。
 *
 * @param date 输入的日期
 * @returns 返回 `Dayjs` 实例
 * @example
 * ```ts
 * // 字符串
 * toDayjs('2019-9-1')
 * // Date 实例
 * toDayjs(new Date(2019, 8, 1))
 * // unix 时间戳
 * toDayjs(1569643555)
 * // Dayjs 实例
 * toDayjs(dayjs())
 * ```
 */
export declare function toDayjs(date: ConfigType): dayjs.Dayjs;

export { }
